/*

This file is part of jHaushalt.

jHaushalt is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

jHaushalt is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with jHaushalt; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(C)opyright 2002-2004 Dr. Lars H. Hahn

*/

package haushalt.auswertung.bloecke;

import java.awt.Graphics;

/**
 * @author Dr. Lars H. Hahn
 * @version 2.0/2004.08.22
 */
public class LeererBlock extends AbstractBlock {

  private final int anzahlZeilen;
  
  public LeererBlock(int anzahlZeilen) {
    this.anzahlZeilen = anzahlZeilen;
  }
  
  public int paint(Graphics g, int xStart, int yStart, int breite) {
    g.setFont(getFont());
    return anzahlZeilen * g.getFontMetrics().getHeight();
  }

  public int print(Graphics g, int zeile, int xStart, int yStart, int hoehe, int breite) {
    g.setFont(getFont());
    if(zeile >= anzahlZeilen)
      return -1;
    if(g.getFontMetrics().getHeight() > hoehe)
      return 0;
    return g.getFontMetrics().getHeight();
  }

}
