/*

This file is part of jHaushalt.

jHaushalt is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

jHaushalt is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with jHaushalt; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(C)opyright 2002-2004 Dr. Lars H. Hahn

*/

package haushalt.gui;

import haushalt.daten.Kategorie;

import java.awt.Color;
import java.awt.Component;
import java.util.ArrayList;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * @author Dr. Lars H. Hahn
 * @version 2.0/2004.08.22
 */
public class KategorieRenderer extends DefaultTableCellRenderer {
	private final boolean DEBUG = false;

  public Component getTableCellRendererComponent(
      JTable table,
      Object value,
      boolean isSelected,
      boolean hasFocus,
      int row,
      int col)
    {
      JLabel comp = (JLabel) super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, col);
      if(value == null) {
				comp.setBackground(Color.yellow);
      }
      else if(value.getClass() == Kategorie.class) {
        // OK
      }
      else if(value.getClass() == ArrayList.class) {
        ArrayList list = (ArrayList) value;
        String text = "{";
        for(int i=0; i<list.size(); i++) {
          text += list.get(i);
          if(i < list.size() -1)
            text += ", ";
          else
            text += "}";
        }
        comp.setText(text);
      }
      else if(value.getClass().isArray()) {
        Object[] list = (Object[]) value;
        String regname = ""+table.getModel();
        if(regname.equals(""+list[0]))
          comp.setText(""+list[1]);
        else
					comp.setText(""+list[0]);
      }
      else {
				comp.setBackground(Color.yellow);
				if(DEBUG) {
					System.out.println("KategorieRenderer: Unbekannter Typ - "+value.getClass());
					System.out.println("Superclass - "+value.getClass().getSuperclass());
				}
      }
      return comp;
    }
  
}
